# Boost C++ Libraries

...one of the most highly regarded and expertly designed C++ library projects in the world. — Herb Sutter and Andrei Alexandrescu, C++ Coding Standards

Public Member Functions

# boost::locale::date_time_period_set Class Reference
[Date, Time, Timezone and Calendar manipulations]

this class that represents a set of periods, More...

`#include <boost/locale/date_time.hpp>`

List of all members.

## Public Member Functions

| date_time_period_set ()
| date_time_period_set (period::period_type f)
| date_time_period_set (date_time_period const &fl)
void | add (date_time_period f)
size_t | size () const
date_time_period const & | operator[] (size_t n) const

## Detailed Description

this class that represents a set of periods,

It is generally created by operations on periods: 1995*year + 3*month + 1*day. Note: operations are not commutative.

## Constructor & Destructor Documentation

boost::locale::date_time_period_set::date_time_period_set | ( |  | ) | `[inline]`

Default constructor - empty set

boost::locale::date_time_period_set::date_time_period_set | ( | period::period_type | f | ) | `[inline]`

Create a set of single period with value 1

boost::locale::date_time_period_set::date_time_period_set | ( | date_time_period const & | fl | ) | `[inline]`

Create a set of single period fl

## Member Function Documentation

void boost::locale::date_time_period_set::add | ( | date_time_period | f | ) | `[inline]`

Append date_time_period f to the set

date_time_period const& boost::locale::date_time_period_set::operator[] | ( | size_t | n | ) | const`[inline]`

Get item at position n the set, n should be in range [0,size)

size_t boost::locale::date_time_period_set::size | ( |  | ) | const`[inline]`

Get number if items in list

The documentation for this class was generated from the following file:

- boost/locale/date_time.hpp